package com.ims.eval.controller.provide;


import com.ims.eval.entity.dto.result.R;
import com.ims.eval.service.IEvaluationPortalService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * 提供给第三方的api
 */
@RestController
@RequestMapping("//api")
public class ProvideController {

	@Autowired
	private IEvaluationPortalService portalService;

	@GetMapping(value = "portal/list")
	public R listAll(String binSection, String year, String season) {
		Map<String, Object> data = portalService.getPortalData(binSection, year, season);
		return R.ok().data(data);
	}
}
